@import "variables";

.container-menu-accordion {
  padding: 8px 30px;
  transition: padding ease-out;
  .container-item-menu {
    border-radius: 8px;
  }
  .item-menu {
    border-radius: 8px;
    align-items: center;
    display: flex;
    flex-direction: row;
    padding: 5px 14px;
    justify-content: space-between;
    transition: background-color 200ms ease-out;
    cursor: pointer;

    .item-label {
      color: $neutral-50;
      font-family: $roboto-medium;
      font-size: 14px;
      line-height: 24px;
      margin: 0px 8px 0px 12px;
      margin-inline-end: auto;
      cursor: inherit;
    }
  }

  .mo-manage {
    img {
      filter: invert(76%) sepia(12%) saturate(503%) hue-rotate(175deg)
        brightness(84%) contrast(88%);
    }
  }
}

.selected {
  .mo-manage {
    .item-label {
      color: $caribbean-green-60;
      font-size: 16px;
    }

    &::before {
      background-color: $caribbean-green-60;
    }

    // Change color on svg
    img {
      filter: invert(64%) sepia(13%) saturate(6407%) hue-rotate(109deg)
        brightness(93%) contrast(101%);
    }
  }

  .item-menu {
    transition: background-color 200ms ease-in;
    background: $caribbean-green-10;
    position: relative;

    .item-label {
      margin-inline-end: auto;
    }

    &::before {
      border-radius: 0px 8px 8px 0px;
      content: "";
      height: 2.2rem;
      left: -30px;
      position: absolute;
      width: 3px;
      background-color: $caribbean-green-60;
    }
  }
}
